mod app;
pub use app::App;

use ::anyhow::Result;
use ::winit::window::Window;

pub const VALIDATION_ENABLED: bool = cfg!(debug_assertions);

pub fn create_app(window: &Window) -> Result<App> {
    Ok(unsafe { App::create(&window)? })
}
